using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Xml; 

namespace RMWebBrowser
{
    public partial class AddFavoriteSite : Form
    {
        public AddFavoriteSite()
        {
            InitializeComponent();
        }

        private void btnAddSite_Click(object sender, EventArgs e)
        {
            ListViewItem LstView =new ListViewItem();
          LstView.Text = txtWebSite.Text;
          LstView.SubItems.Add(txtURL.Text);
          LstViewDsplSites.Items.Add(LstView);
          txtWebSite.Text = "";
           txtURL.Text = "";
        }

        private void btnRemoveSite_Click(object sender, EventArgs e)
        {

            ListView.SelectedIndexCollection LstViewRemove = LstViewDsplSites.SelectedIndices;

             foreach (int tmpLoop in LstViewRemove) 
              {
                        LstViewDsplSites.Items.RemoveAt(tmpLoop); 
                }

        }

        private void btnOK_Click(object sender, EventArgs e)
        {

           string str= Application.StartupPath; 
           
            string fullpath=str + @"\Muhil.xml";
             System.IO.FileInfo fileinfo=new System.IO.FileInfo(fullpath);
             //if (fileinfo.Exists)
             //{
                 XmlTextWriter XMLWriter = new XmlTextWriter(fullpath, System.Text.Encoding.UTF8);
                 XMLWriter.Formatting = Formatting.Indented;
                 XMLWriter.WriteStartDocument();
                 XMLWriter.WriteStartElement("FavoriteSite");

                 foreach (ListViewItem lvi in LstViewDsplSites.Items)
                 {
                     XMLWriter.WriteStartElement("WebSite");
                     XMLWriter.WriteElementString("Name", lvi.Text);
                     XMLWriter.WriteElementString("URL", lvi.SubItems[1].Text);
                     XMLWriter.WriteEndElement();
                 }
                 XMLWriter.WriteEndElement();
                 XMLWriter.WriteEndDocument();
                 XMLWriter.Flush();
                 XMLWriter.Close();
                 MessageBox.Show("Successfully Added your Favorite list");
            // }
           
           
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void AddFavoriteSite_Load(object sender, EventArgs e)
        {
            GetSite();
        }
        private void GetSite()
        {
            LstViewDsplSites.Items.Clear();
            string str= Application.StartupPath; 
           
            string fullpath=str + @"\Muhil.xml";
             System.IO.FileInfo fileinfo=new System.IO.FileInfo(fullpath);
             if (fileinfo.Exists)
             {
                 XmlTextReader XmlRead = new XmlTextReader(fullpath);
                 XmlRead.MoveToContent();
                 string Name = string.Empty;
                 Boolean tmp = true;
                 ListViewItem tmpLVI=null ;
                 do
                 {
                    
                     if (tmp)
                     {
                         tmpLVI = new ListViewItem();
                         tmp = false;
                         

                     }
                     switch (XmlRead.NodeType)
                     {

                         case XmlNodeType.Element:
                             Name = XmlRead.Name;
                             break;
                         case XmlNodeType.Text:
                             if (Name == "Name")
                             {
                                
                                 tmpLVI.Text = XmlRead.Value;
                             }
                             if (Name == "URL")
                             {
                                 tmpLVI.SubItems.Add(XmlRead.Value);
                                 LstViewDsplSites.Items.Add(tmpLVI);
                                 tmp = true;
                             }
                             break;

                     }


                 } while (XmlRead.Read());
                 XmlRead.Close();
             }


        }   

  
    }
}