using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Xml; 
namespace RMWebBrowser
{
    public partial class Browser : Form
    {
        public Browser()
        {
            InitializeComponent();
        }

        XmlDocument tmpXMLDoc = new XmlDocument();
        private void txtUrl_KeyPress(object sender, KeyPressEventArgs e)
        {
            
        }

        private void webBrowser1_DocumentCompleted(object sender, WebBrowserDocumentCompletedEventArgs e)
        {

        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
          
        }

        private void Browser_Load(object sender, EventArgs e)
        {
            AddFavoriteSite();
            
        }

        private void tsbGo_Click_1(object sender, EventArgs e)
        {
            String address = txtUrl.Text.Trim();
            if (String.IsNullOrEmpty(address)) return;
            if (address.Equals("about:blank")) return;
            if (!address.StartsWith("http://") &&
                !address.StartsWith("https://"))
            {
                address = "http://" + address;
            }


            try
            {
                webBrowser1.Url = new Uri(address);
            }
            catch (Exception ex)
            {
                MessageBox.Show("Address Invalid!. Enter Correct Address");
            }
        }

        private void tsbRefresh_Click_1(object sender, EventArgs e)
        {
            webBrowser1.Refresh();
        }

        private void tsbHome_Click_1(object sender, EventArgs e)
        {
            webBrowser1.GoHome();
        }

        private void tsbForward_Click_1(object sender, EventArgs e)
        {
            webBrowser1.GoForward();
        }

        private void tsbBack_Click_1(object sender, EventArgs e)
        {
            webBrowser1.GoBack();
        }

        private void txtUrl_KeyPress_1(object sender, KeyPressEventArgs e)
        {
            Char c = e.KeyChar;
            if (c == '\r')
            {
                tsbGo_Click_1(sender, e);
            }

        }

        private void toolStripButton1_Click_1(object sender, EventArgs e)
        {
            webBrowser1.ShowPrintDialog();
        }

        private void tsbManage_Click(object sender, EventArgs e)
        {
            AddFavoriteSite afs = new AddFavoriteSite();
            afs.ShowDialog();
            //AddFavoriteSite();
        }

        private void AddFavoriteSite()
        {
             
    

            
             string str= Application.StartupPath; 
             string fullpath=str + @"\Muhil.xml";
             System.IO.FileInfo fileinfo=new System.IO.FileInfo(fullpath);
             if (fileinfo.Exists)
             {
                 tmpXMLDoc.Load(fullpath);
                 toolStrip3.Items.Clear();

                 XmlNodeList NodeList;

                 NodeList = tmpXMLDoc.GetElementsByTagName("WebSite");
                 Int16 tmpInt = 1;
                 foreach (XmlNode Node in NodeList)
                 {
                     XmlNodeList tmpNodeList = Node.ChildNodes;

                     foreach (XmlNode tmpXMLNode in tmpNodeList)
                     {
                         if (tmpXMLNode.Name == "Name")
                         {

                             System.Windows.Forms.ToolStripButton NameButton = new ToolStripButton();
                             NameButton.Name = "tmpCount" + tmpInt;
                             NameButton.Text = tmpXMLNode.InnerText;
                             NameButton.DisplayStyle = ToolStripItemDisplayStyle.Text;
                             toolStrip3.Items.Add(NameButton);
                             NameButton.Click += new EventHandler(btnNext_Click);
                         }
                     }
                 }
             }
 


        }

        private void btnNext_Click(object sender, EventArgs e)
        {
            ToolStripButton tmpbtn = (ToolStripButton)sender;//Convert.ChangeType(sender, ToolStripButton);
            string sPath = "//WebSite[Name='" + tmpbtn + "']/URL";
            XmlNode xNode = tmpXMLDoc.SelectSingleNode(sPath);
            webBrowser1.Url = new Uri(xNode.InnerText);
        }


    }
}